Bug 828014 - [abrt] python-2.7.3-1.fc16: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] python-2.7.3-1.fc16: Process /usr/bin/python2.7 was killed by signal 6...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:3994a686c2d65c2f41c64b398c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 21:45 EDT by Michio Sugisaki
Modified: 2013-02-13 09:12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.79 KB, text/plain)
2012-06-03 21:46 EDT, Michio Sugisaki
no flags Details
File: maps (27.74 KB, text/plain)
2012-06-03 21:46 EDT, Michio Sugisaki
no flags Details
File: backtrace (63.56 KB, text/plain)
2012-06-03 21:46 EDT, Michio Sugisaki
no flags Details

  None (edit)
Description Michio Sugisaki 2012-06-03 21:45:58 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        python /usr/bin/meld
executable:     /usr/bin/python2.7
kernel:         3.3.7-1.fc16.i686.PAE
pid:            3765
pwd:            /home/sugisaki
reason:         Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
time:           2012年06月01日 17時56分33秒
uid:            1000
username:       sugisaki

backtrace:      Text file, 65083 bytes
dso_list:       Text file, 10029 bytes
maps:           Text file, 28405 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=2221
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=cross.ts.tlan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=e3f79ae9cedc69d2267531a300000014-1338536942.259653-1178290094
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/sugisaki/.gtkrc-2.0:/home/sugisaki/.gtkrc-2.0-kde4:/home/sugisaki/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.52
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/sugisaki/.gtkrc:/home/sugisaki/.kde/share/config/gtkrc
:WINDOWID=48234516
:GNOME_KEYRING_CONTROL=/tmp/keyring-oGsf7h
:SHELL_SESSION_ID=e7f4b93f745c4000968cc2a3df829913
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=IBus
:USER=sugisaki
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-iAQkXnhD2138/agent.2138
:USERNAME=sugisaki
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2297,unix/unix:/tmp/.ICE-unix/2297
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/sugisaki
:PATH=/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sugisaki/.local/bin:/home/sugisaki/bin
:QT_IM_MODULE=ibus
:PWD=/home/sugisaki
:XMODIFIERS=@im=ibus
:KDE_SESSION_UID=1000
:LANG=ja_JP.UTF-8
:GNOME_KEYRING_PID=2130
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/sugisaki
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=sugisaki
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5EehLQitm9,guid=27583acc8b80584b7874225100000075
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/sugisaki
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/sugisaki/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:GTK_IM_MODULE=ibus
:XAUTHORITY=/tmp/kde-sugisaki/xauth-1000-_0
:CCACHE_HASHDIR=
:_=/usr/bin/meld

var_log_messages:
:May 28 11:11:29 cross firstboot[987]: /usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: Asia/Hebron
:May 28 11:11:29 cross firstboot[987]: /usr/lib/python2.7/site-packages/scdate/core/zonetab.py:218: RuntimeWarning: Untranslated time zone: Africa/Juba
:Jun  1 17:56:34 cross abrt[3787]: Saved core dump of pid 3765 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-17:56:33-3765 (63062016 bytes)
Comment 1 Michio Sugisaki 2012-06-03 21:46:04 EDT
Created attachment 588997 [details]
File: dso_list
Comment 2 Michio Sugisaki 2012-06-03 21:46:06 EDT
Created attachment 588998 [details]
File: maps
Comment 3 Michio Sugisaki 2012-06-03 21:46:07 EDT
Created attachment 588999 [details]
File: backtrace
Comment 4 info 2012-10-11 11:20:53 EDT
Tried to open picture in USB flash drive

backtrace_rating: 4
Package: ristretto-0.3.6-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Dave Malcolm 2012-10-11 12:13:25 EDT
Thanks for filing this bug report.

What is the output of:

  rpm -q meld

How reproducible is this problem?

If it's repoducible, are you able to run meld under valgrind? (this might show up the exact location of the problem).

Looking at attachment 588999 [details] it appears that the heap of the process was corrupt (thread 1 frame 1 is within glibc's malloc_printerr, deep within cleanup of a gtk.FileChooserDialog object).  Unfortunately it's difficult to pin this down further as the corruption could happen due to a bug in any of the libraries linked into the process (hence my suggestion about trying valgrind).

Reassiging from "python" to "meld" for now
Comment 6 Fedora End Of Life 2013-01-16 08:24:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 09:12:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.